/*
 * ar3cmonitor - about.h
 *
 * 	About Dialog
 * 
 * Copyright (C) 2007  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef ABOUT_H_INCLUDED
#define ABOUT_H_INCLUDED

#include "consts.h"

#include <qwidget.h>
#include <qdialog.h>
#include <qlayout.h>

#include "control.h"
#include "version.h"

class AboutDialog : public QDialog {
	Q_OBJECT

private:
	QVBoxLayout *vl;
	QLabel *name, *ver;
	QPushButton *ok;

private slots:
	void ok_clicked();

public:
	AboutDialog(QWidget *parent = 0);
	~AboutDialog();
};

#endif
